
wdir ="/amuhome/s23014817/m2bsgreprod/sources"
dir.create(wdir, showWarnings = F, recursive = T)
setwd(wdir)

library(devtools)

if (!require("BiocManager", quietly = TRUE)) #boucle qui permet de dire que s'il n'est pas installé il faut l'installer mais s'il est déjà installé pas besoin 
  install.packages("BiocManager")

if (!require("snpStats", quietly = TRUE))
  BiocManager::install("snpStats")

if (!require("SNPRelate", quietly = TRUE))
  BiocManager::install("SNPRelate")

library(snpStats)
library(SNPRelate)

# Les données analysées nécessitant beaucoup de RAM, nous allons sélectionner aléatoirement 250000 SNPs et réecrire des fichiers bed, bim, penncath
penncath_bed_path = "/amuhome/s23014817/m2bsgreprod/results/data/penncath.bed"
penncath_bim_path = "/amuhome/s23014817/m2bsgreprod/results/data/penncath.bim"
penncath_fam_path = "/amuhome/s23014817/m2bsgreprod/results/data/penncath.fam"
geno <- read.plink(penncath_bed_path, penncath_bim_path, penncath_fam_path, select.snps=sample(1:861473, 25000, replace = FALSE ), na.strings = ("-9"))




